<template>
</template>
<script>
    export default {
        data() {
            return {
                phoneNo: 0,
            }
        },
        mounted() {
            this.queryPhone();
        },
        methods: {
            queryPhone() {
                this.$http({
                    url: "/sysmgr/sys/login/queryListLoginMsg",
                    method: "post",
                    headers: {
                        "Content-Type": "application/json",
                    },
                    data: {
                        loginNoStr: JSON.parse(window.sessionStorage.userInfo).loginNoStr,
                    },
                }).then((res) => {
                    console.log('res====', typeof res.data[0])
                    console.log(res.data[0].phoneNo)
                    this.phoneNo = res.data[0].phoneNo;
                    console.log("res.phoneNo", res.data[0].phoneNo)

                    console.log("目标页面中获取",this.$route.query.pass)
                    // 商户引入流程权限
                    var url = 'http://10.149.15.69:8080/manageapi/admin/api/v3/loginFromWork?account='+res.data[0].phoneNo+'&pass='+this.$route.query.pass;
                    window.open(url);
                    self.location.href="#/leader"
                    // window.location.href=url;
                });

            },
        },
    }
</script>
